<?php

namespace Teknisa\DF\Services;


use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DTO\Request\Row;
use Teknisa\Libs\Util\DateUtil;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\Masks\Masks;
use Teknisa\Libs\Util\NewCode;
use Teknisa\Libs\Util\Utilities;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;

use Teknisa\DF\Factories\Ger40100IntegracaoViaEmailFactory;

class Ger40100IntegracaoViaEmailService {
    protected $ger40100IntegracaoViaEmailFactory;
    protected $environment;
    protected $entityManager;
    protected $erros = [];
    

    public function __construct(Ger40100IntegracaoViaEmailFactory $ger40100IntegracaoViaEmailFactory, $entityManager, $environment) {
        $this->ger40100IntegracaoViaEmailFactory = $ger40100IntegracaoViaEmailFactory;
        $this->entityManager = $entityManager;
        $this->environment = $environment;
        set_time_limit(0);
    }


    public function saveIntegracaoViaEmail($row){
        $connection = $this->entityManager->getConnection();
        $connection->beginTransaction();
        
        try{
            $this->ger40100IntegracaoViaEmailFactory->insereIntgViaEmail($row['DSSERVEMAIL'], $row['DSLOGINEMAIL'], $row['CDSENHAEMAIL'], $row['NRPORTAEMAIL'], $row['IDUTTLSEMAIL'], $row['IDUTSSLEMAIL'], $row['NRPERIODEMAIL'], $row['DSARQEXTENSAO'], $row['DIRPHP'], $row['JENKINSPATH'], $row['CALLSERVPATH']);
        
            $connection->commit();
        }catch(\Exception $e){
            $this->entityManager->rollback();
            throw $e;
        }
    }
}